> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.aurasos.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.aurasos.com/_mcp/server.

# Sync fixed locations

POST https://staging-panic.aura.services/v1/predefinedlocations/upload
Content-Type: multipart/form-data

Uploads a fixed-location CSV for asynchronous processing. Unlike the main v2 endpoints, this bulk CSV path does not include `/panic-api` in the URL path. Provide a callback URL so AURA can notify your backend when processing finishes.

Reference: https://docs.aurasos.com/api-reference/fixed-locations/bulk-upload-fixed-locations

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://staging-panic.aura.services` (Staging, default)
- `https://panic.aura.services` (Production)

## Request

### Body (multipart/form-data)

This endpoint expects a multipart form containing a file.

- `locations` (file, required) — CSV file containing fixed locations. The multipart field name must be `locations`.
- `callbackUrl` (string, required) — HTTPS URL called with the asynchronous import result.
- `userEmail` (string, optional) — Optional email address for processing notifications.
- `delimiter` (string, optional) — CSV delimiter. Defaults to a comma.
- `source` (string, optional) — Optional source label used by AURA during processing.

## Response

### 200

Successful.

- `message` (string, optional)

## Errors

### 400 Bad Request Error

Bad request.

- `message` (string, optional)
- `errors` (ErrorResponseErrors, optional) — Error detail. May be a string, an array of strings, or an object (some routes return a serialized error object).

### 401 Unauthorized Error

Unauthorized.

- `message` (string, optional)
- `errors` (ErrorResponseErrors, optional) — Error detail. May be a string, an array of strings, or an object (some routes return a serialized error object).

### 500 Internal Server Error

Unexpected server error.

- `message` (string, optional)
- `errors` (ErrorResponseErrors, optional) — Error detail. May be a string, an array of strings, or an object (some routes return a serialized error object).

## Types

### ErrorResponseErrors

Error detail. May be a string, an array of strings, or an object (some routes return a serialized error object).

- string
- list of string
- map from string to any

## Examples

**Request**

```json
{
  "callbackUrl": "https://your-server.example.com/api/aura/import-results",
  "delimiter": ",",
  "locations": "<file: string>",
  "source": "integration",
  "userEmail": "ops@example.com"
}
```

**Response**

```json
{
  "message": "Request successfully received for processing."
}
```

**SDK Code**

```python Success
import requests

url = "https://staging-panic.aura.services/v1/predefinedlocations/upload"

files = { "locations": "open('string', 'rb')" }
payload = {
    "callbackUrl": "https://your-server.example.com/api/aura/import-results",
    "delimiter": ",",
    "source": "integration",
    "userEmail": "ops@example.com"
}
headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, data=payload, files=files, headers=headers)

print(response.json())
```

```javascript Success
const url = 'https://staging-panic.aura.services/v1/predefinedlocations/upload';
const form = new FormData();
form.append('callbackUrl', 'https://your-server.example.com/api/aura/import-results');
form.append('delimiter', ',');
form.append('locations', 'string');
form.append('source', 'integration');
form.append('userEmail', 'ops@example.com');

const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

options.body = form;

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Success
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://staging-panic.aura.services/v1/predefinedlocations/upload"

	payload := strings.NewReader("-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"callbackUrl\"\r\n\r\nhttps://your-server.example.com/api/aura/import-results\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"delimiter\"\r\n\r\n,\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"locations\"; filename=\"string\"\r\nContent-Type: application/octet-stream\r\n\r\n\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"source\"\r\n\r\nintegration\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"userEmail\"\r\n\r\nops@example.com\r\n-----011000010111000001101001--\r\n")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Success
require 'uri'
require 'net/http'

url = URI("https://staging-panic.aura.services/v1/predefinedlocations/upload")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request.body = "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"callbackUrl\"\r\n\r\nhttps://your-server.example.com/api/aura/import-results\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"delimiter\"\r\n\r\n,\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"locations\"; filename=\"string\"\r\nContent-Type: application/octet-stream\r\n\r\n\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"source\"\r\n\r\nintegration\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"userEmail\"\r\n\r\nops@example.com\r\n-----011000010111000001101001--\r\n"

response = http.request(request)
puts response.read_body
```

```java Success
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://staging-panic.aura.services/v1/predefinedlocations/upload")
  .header("Authorization", "Bearer <token>")
  .body("-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"callbackUrl\"\r\n\r\nhttps://your-server.example.com/api/aura/import-results\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"delimiter\"\r\n\r\n,\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"locations\"; filename=\"string\"\r\nContent-Type: application/octet-stream\r\n\r\n\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"source\"\r\n\r\nintegration\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"userEmail\"\r\n\r\nops@example.com\r\n-----011000010111000001101001--\r\n")
  .asString();
```

```php Success
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://staging-panic.aura.services/v1/predefinedlocations/upload', [
  'multipart' => [
    [
        'name' => 'callbackUrl',
        'contents' => 'https://your-server.example.com/api/aura/import-results'
    ],
    [
        'name' => 'delimiter',
        'contents' => ','
    ],
    [
        'name' => 'locations',
        'filename' => 'string',
        'contents' => null
    ],
    [
        'name' => 'source',
        'contents' => 'integration'
    ],
    [
        'name' => 'userEmail',
        'contents' => 'ops@example.com'
    ]
  ]
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Success
using RestSharp;

var client = new RestClient("https://staging-panic.aura.services/v1/predefinedlocations/upload");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddParameter("undefined", "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"callbackUrl\"\r\n\r\nhttps://your-server.example.com/api/aura/import-results\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"delimiter\"\r\n\r\n,\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"locations\"; filename=\"string\"\r\nContent-Type: application/octet-stream\r\n\r\n\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"source\"\r\n\r\nintegration\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"userEmail\"\r\n\r\nops@example.com\r\n-----011000010111000001101001--\r\n", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Success
import Foundation

let headers = ["Authorization": "Bearer <token>"]
let parameters = [
  [
    "name": "callbackUrl",
    "value": "https://your-server.example.com/api/aura/import-results"
  ],
  [
    "name": "delimiter",
    "value": ","
  ],
  [
    "name": "locations",
    "fileName": "string"
  ],
  [
    "name": "source",
    "value": "integration"
  ],
  [
    "name": "userEmail",
    "value": "ops@example.com"
  ]
]

let boundary = "---011000010111000001101001"

var body = ""
var error: NSError? = nil
for param in parameters {
  let paramName = param["name"]!
  body += "--\(boundary)\r\n"
  body += "Content-Disposition:form-data; name=\"\(paramName)\""
  if let filename = param["fileName"] {
    let contentType = param["content-type"]!
    let fileContent = String(contentsOfFile: filename, encoding: String.Encoding.utf8)
    if (error != nil) {
      print(error as Any)
    }
    body += "; filename=\"\(filename)\"\r\n"
    body += "Content-Type: \(contentType)\r\n\r\n"
    body += fileContent
  } else if let paramValue = param["value"] {
    body += "\r\n\r\n\(paramValue)"
  }
}

let request = NSMutableURLRequest(url: NSURL(string: "https://staging-panic.aura.services/v1/predefinedlocations/upload")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```